dbXML API

## org.dbxml.xml
Class SymbolTable

    java.lang.Object
      |
      +--org.dbxml.xml.SymbolTable

All Implemented Interfaces:
  XMLSerializable

Direct Known Subclasses:
  SymbolTableSymbols

public class SymbolTable
extends java.lang.Object
implements XMLSerializable

SymbolTable is a class that allows the dbXML Compression system to resolve symbol IDs in compression/decompression passes.

Inner Class Summary
`class` `SymbolTable.SymbolInfo`

Constructor Summary
`SymbolTable()`
`SymbolTable(org.w3c.dom.Element elem)`

Method Summary
`long` `getLastModified()`
`static java.lang.String` `getLookupName(java.lang.String qname, java.lang.String namespaceURI)`
`java.lang.String` `getName(short symbol)`
`java.lang.String` `getNamespaceURI(short symbol)`
`static java.lang.String` `getNormalizedLocalName(java.lang.String localName, java.lang.String namespaceURI)`
`static java.lang.String` `getNormalizedQName(java.lang.String qName, java.lang.String namespaceURI)`
`static short` `getNormalizedSymbol(SymbolTable symbols, java.lang.String lookup, NamespaceMap nsMap, boolean create)`
`short` `getSymbol(java.lang.String qname)`
`short` `getSymbol(java.lang.String qname, boolean create)`
`short` `getSymbol(java.lang.String qname, java.lang.String namespaceURI)`
`short` `getSymbol(java.lang.String qname, java.lang.String namespaceURI, boolean create)`
`SymbolTable.SymbolInfo` `getSymbolInfo(short symbol)`
`SymbolTable.SymbolInfo` `getSymbolInfo(java.lang.String qname, java.lang.String namespaceURI)`
`boolean` `isDirty()`
`void` `setDirty(boolean dirty)`
`void` `streamFromXML(org.w3c.dom.Element element)` streamFromXML streams an object from XML.
`org.w3c.dom.Element` `streamToXML(org.w3c.dom.Document doc)` streamToXML streams an object to XML.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SymbolTable

    public SymbolTable()

### SymbolTable

    public SymbolTable(org.w3c.dom.Element elem)

Method Detail

### getLookupName

    public static final java.lang.String getLookupName(java.lang.String qname,
                                                       java.lang.String namespaceURI)

### getNormalizedSymbol

    public static final short getNormalizedSymbol(SymbolTable symbols,
                                                  java.lang.String lookup,
                                                  NamespaceMap nsMap,
                                                  boolean create)

### getNormalizedLocalName

    public static final java.lang.String getNormalizedLocalName(java.lang.String localName,
                                                                java.lang.String namespaceURI)

### getNormalizedQName

    public static final java.lang.String getNormalizedQName(java.lang.String qName,
                                                            java.lang.String namespaceURI)

### isDirty

    public final boolean isDirty()

### setDirty

    public final void setDirty(boolean dirty)

### getSymbolInfo

    public final SymbolTable.SymbolInfo getSymbolInfo(java.lang.String qname,
                                                      java.lang.String namespaceURI)

### getSymbol

    public final short getSymbol(java.lang.String qname,
                                 java.lang.String namespaceURI,
                                 boolean create)

### getSymbol

    public final short getSymbol(java.lang.String qname,
                                 boolean create)

### getSymbol

    public final short getSymbol(java.lang.String qname,
                                 java.lang.String namespaceURI)

### getSymbol

    public final short getSymbol(java.lang.String qname)

### getSymbolInfo

    public final SymbolTable.SymbolInfo getSymbolInfo(short symbol)

### getNamespaceURI

    public final java.lang.String getNamespaceURI(short symbol)

### getName

    public final java.lang.String getName(short symbol)

### getLastModified

    public final long getLastModified()

### streamToXML

    public final org.w3c.dom.Element streamToXML(org.w3c.dom.Document doc)
                                          throws org.w3c.dom.DOMException

  Description copied from interface: `XMLSerializable`
  streamToXML streams an object to XML.
  Specified by:
    `streamToXML` in interface `XMLSerializable`
  Following copied from interface: `org.dbxml.xml.XMLSerializable`
  Parameters:
    `doc` - The Owner Document
  Returns:
    A newly created Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

### streamFromXML

    public final void streamFromXML(org.w3c.dom.Element element)
                             throws org.w3c.dom.DOMException

  Description copied from interface: `XMLSerializable`
  streamFromXML streams an object from XML.
  Specified by:
    `streamFromXML` in interface `XMLSerializable`
  Following copied from interface: `org.dbxml.xml.XMLSerializable`
  Parameters:
    `element` - The Input Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved